#############################################################################
##  
##  PackageInfo.g for the package `ModIsomExt'                    Leo Margolis
##                                                                Tobias Moede

SetPackageInfo( rec(

PackageName := "ModIsomExt",
Subtitle := "ModIsomExt - An extension of ModIsom",
Version := "1.1.0",
Date := "16/12/2021",

##  <#GAPDoc Label="PKGVERSIONDATA">
##  <!ENTITY VERSION "1.1.0">
##  <!ENTITY RELEASEDATE "16 December 2021">
##  <#/GAPDoc>

SourceRepository := rec(
    Type := "git",
    URL := Concatenation( "https://gap-packages.github.io/", ~.PackageName ),
),
IssueTrackerURL := Concatenation( ~.SourceRepository.URL, "/issues" ),
PackageWWWHome  := Concatenation( "https://gap-packages.github.io/", ~.PackageName ),
README_URL      := Concatenation( ~.PackageWWWHome, "/README" ),
PackageInfoURL  := Concatenation( ~.PackageWWWHome, "/PackageInfo.g" ),
ArchiveURL      := Concatenation( ~.SourceRepository.URL,
                                 "/releases/download/v", ~.Version,
                                 "/", ~.PackageName, "-", ~.Version ),
ArchiveFormats := ".tar.gz",

Persons := [
  rec( 
    LastName      := "Margolis",
    FirstNames    := "Leo",
    IsAuthor      := true,
    IsMaintainer  := false,
    Email         := "leo.margolis@icmat.es",
    WWWHome       := "https://www.icmat.es/leo.margolis",
    PostalAddress := Concatenation( [
                       "ICMAT\n",
                       "C/ Nicolas Cabrero 13, 28049 Madrid \n",
                       "Spain" ] ),
    Place         := "Spain",
    Institution   := "ICMAT"
  ),
  rec( 
    LastName      := "Moede",
    FirstNames    := "Tobias",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "t.moede@tu-braunschweig.de",
    WWWHome       := "https://www.tu-braunschweig.de/iaa/personal/moede",
    PostalAddress := Concatenation( [
                       "Institute of Analysis and Algebra\n",
                       "TU Braunschweig\n",
                       "Universitaetsplatz 2, 38106 Braunschweig\n",
                       "Germany" ] ),
    Place         := "Braunschweig",
    Institution   := "TU Braunschweig"
  )
],

Status := "dev",

AbstractHTML := 
  "TODO",

PackageDoc := rec(         
  BookName  := "ModIsomExt",
  ArchiveURLSubset := ["doc"],
  HTMLStart := "doc/chap0.html",
  PDFFile   := "doc/manual.pdf",
  SixFile   := "doc/manual.six",
  LongTitle := "ModIsomExt - An extension of ModIsom",
),

Dependencies := rec(
  GAP := "4.8.8",
  NeededOtherPackages := [["GAPDoc", "1.5"], ["ModIsom", "2.3.3"]],
  SuggestedOtherPackages := [],
  ExternalConditions := []                  
),

AvailabilityTest := ReturnTrue,

BannerString := Concatenation( 
    "----------------------------------------------------------------\n",
    "Loading ModIsomExt ", ~.Version, "\n",
    "by ",
    JoinStringsWithSeparator( List( Filtered( ~.Persons, r -> r.IsAuthor ),
                                    r -> Concatenation(
        r.FirstNames, " ", r.LastName, " (", r.WWWHome, ")\n" ) ), "   " ),
    "For help, type: ?ModIsomExt package \n",
    "----------------------------------------------------------------\n" ),
));

